BlockJoinSelector.Type (Lucene 10.5.1 join API)
Description: declaration: package: org.apache.lucene.search.join, class: BlockJoinSelector, enum: Type

Package org.apache.lucene.search.join

# Enum Class BlockJoinSelector.Type

java.lang.Object
java.lang.Enum<BlockJoinSelector.Type>
org.apache.lucene.search.join.BlockJoinSelector.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockJoinSelector.Type>`, `Constable`

Enclosing class:
  `BlockJoinSelector`

public static enum BlockJoinSelector.Type extends Enum<BlockJoinSelector.Type>
Type of selection to perform. If none of the documents in the block have a value then no value will be selected.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAX`
  Only consider the maximum value from the block when sorting.
  `MIN`
  Only consider the minimum value from the block when sorting.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlockJoinSelector.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlockJoinSelector.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MIN

    public static final BlockJoinSelector.Type MIN
    Only consider the minimum value from the block when sorting.

  - ### MAX

    public static final BlockJoinSelector.Type MAX
    Only consider the maximum value from the block when sorting.

- ## Method Details

  - ### values

    public static BlockJoinSelector.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlockJoinSelector.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null